#ifndef _H_D2F4D414F2FDEB5E3A3B8289D6BE7A5D_Extrinsics__H_
#define _H_D2F4D414F2FDEB5E3A3B8289D6BE7A5D_Extrinsics__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Header_.h"


namespace realsense_camera_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  Extrinsics_
            {
                struct _rotation__uniq_{};
                typedef ::DDS::Double _rotation__slice;
                typedef ::DDS::Double _rotation_[9];
                typedef DDS_DCPS_FArray_var< _rotation_, _rotation__slice, struct _rotation__uniq_ > _rotation__var;
                typedef _rotation_ _rotation__out;
                typedef DDS_DCPS_Array_forany< _rotation_, _rotation__slice, struct _rotation__uniq_ > _rotation__forany;
                static _rotation__slice *_rotation__alloc();
                static void _rotation__free(_rotation__slice *);
                static void _rotation__copy(_rotation__slice *to, const _rotation__slice *from);
                static _rotation__slice *_rotation__dup(const _rotation__slice *from);
                struct _translation__uniq_{};
                typedef ::DDS::Double _translation__slice;
                typedef ::DDS::Double _translation_[3];
                typedef DDS_DCPS_FArray_var< _translation_, _translation__slice, struct _translation__uniq_ > _translation__var;
                typedef _translation_ _translation__out;
                typedef DDS_DCPS_Array_forany< _translation_, _translation__slice, struct _translation__uniq_ > _translation__forany;
                static _translation__slice *_translation__alloc();
                static void _translation__free(_translation__slice *);
                static void _translation__copy(_translation__slice *to, const _translation__slice *from);
                static _translation__slice *_translation__dup(const _translation__slice *from);
                ::std_msgs::msg::dds_::Header_ header_;
                _rotation_ rotation_;
                _translation_ translation_;
            };

            typedef DDS_DCPSStruct_var<Extrinsics_> Extrinsics__var;
            typedef DDS_DCPSStruct_out < Extrinsics_> Extrinsics__out;

        }

    }

}

#endif /* _H_D2F4D414F2FDEB5E3A3B8289D6BE7A5D_Extrinsics__H_ */
